Subject: Re: [PATCH] environment: move access to "core.attributesfile" into repo settings

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Mar 2025 12:25:31 -0700

Ayush Chandekar <[email-masked]> writes:

> But in the long term, isn’t our goal to get rid of the_repository anyway?
> So at some point, wouldn't we need to either attach attributes to a
> repository or have the attribute set know about its repository?

My point is that it may not help further the cause of removing the
assumption that certain operations only work on the_repository and
not on an arbitrary "struct repository" instance, to muck with the
attribute subsystem.  If it turns out that attribute data should not
belong to a repository instance, then it would not help to have the
globals moved to members of "struct repository" and pass a
repository instance down the code paths.  Rather, it may turn out
that we are better off passing a separate structure that is *NOT* a
"struct repository" that represents the set(s) of attributes down
the same code paths.